com.smartxls

## Class HyperLink

- java.lang.Object
- - com.smartxls.HyperLink

-     public class HyperLink
      extends java.lang.Object

  This class represents a Hyperlink.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `kFileAbs`
    `static int` | `kFileRel`
    `static int` | `kNet`
    `static int` | `kRange`
    `static int` | `kUnknown`
    `static int` | `kURLAbs`
    `static int` | `kURLRel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HyperLink(HyperlinkImpl linkImpl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HyperlinkImpl` | `getHyperlinkImpl()`
    `java.lang.String` | `getLinkShowString()` Returns the hyperlink link show string.
    `java.lang.String` | `getLinkURLString()` Returns the hyperlink link URL string.
    `java.lang.String` | `getRange()` Returns the range to which this hyperlink applies.
    `java.lang.String` | `getToolTipString()` Returns the tool tip string.
    `int` | `getType()` Returns the current hyperlink type.
    `void` | `setLinkShowString(java.lang.String show)` set the hyperlink's link show string
    `void` | `setLinkURLString(java.lang.String link)` set the hyperlink's link URL string
    `void` | `setRange(int row1, int col1, int row2, int col2)` set the hyperlink range
    `void` | `setToolTip(java.lang.String tooltip)` set the tool tip string
    `void` | `setType(int type)` set the hyperlink type

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### kUnknown

          public static final int kUnknown

      See Also:
        Constant Field Values

    - #### kRange

          public static final int kRange

      See Also:
        Constant Field Values

    - #### kURLAbs

          public static final int kURLAbs

      See Also:
        Constant Field Values

    - #### kURLRel

          public static final int kURLRel

      See Also:
        Constant Field Values

    - #### kFileAbs

          public static final int kFileAbs

      See Also:
        Constant Field Values

    - #### kFileRel

          public static final int kFileRel

      See Also:
        Constant Field Values

    - #### kNet

          public static final int kNet

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HyperLink

          public HyperLink(HyperlinkImpl linkImpl)

  - ### Method Detail

    - #### getHyperlinkImpl

          public HyperlinkImpl getHyperlinkImpl()

    - #### getType

          public int getType()

      Returns the current hyperlink type.
      Returns:
        an int indicating one of the following hyperlink types: kUnknown kRange kURLAbs kURLRel kFileAbs kFileRel kNet

    - #### setType

          public void setType(int type)

      set the hyperlink type
      Parameters:
        `type` - one of the following hyperlink types: kUnknown kRange kURLAbs kURLRel kFileAbs kFileRel kNet

    - #### getLinkURLString

          public java.lang.String getLinkURLString()

      Returns the hyperlink link URL string.
      Returns:
        a string that is the link

    - #### setLinkURLString

          public void setLinkURLString(java.lang.String link)

      set the hyperlink's link URL string
      Parameters:
        `link` - link string

    - #### getLinkShowString

          public java.lang.String getLinkShowString()

      Returns the hyperlink link show string.
      Returns:
        a string that is the link

    - #### setLinkShowString

          public void setLinkShowString(java.lang.String show)

      set the hyperlink's link show string
      Parameters:
        `show` - link string

    - #### getToolTipString

          public java.lang.String getToolTipString()

      Returns the tool tip string.
      Returns:
        the tool tip as a string.

    - #### setToolTip

          public void setToolTip(java.lang.String tooltip)

      set the tool tip string
      Parameters:
        `tooltip` - tool tip string

    - #### getRange

          public java.lang.String getRange()

      Returns the range to which this hyperlink applies.
      Returns:
        a string containing the range reference.

    - #### setRange

          public void setRange(int row1,
                               int col1,
                               int row2,
                               int col2)

      set the hyperlink range
      Parameters:
        `row1` - top row
        `col1` - left col
        `row2` - bottom row
        `col2` - right col